=== tools/CMakeLists.txt ===
file(GLOB C_FILES *.c)
file(GLOB PY_FILES *.py)
file(GLOB TXT_FILES *.txt)
foreach(FIL ${PY_FILES})
  get_filename_component(FIL_WE ${FIL} NAME_WE)
  install(PROGRAMS ${FIL} DESTINATION share/bcc/tools RENAME ${FIL_WE})
endforeach()
install(FILES ${C_FILES} DESTINATION share/bcc/tools)
install(FILES ${TXT_FILES} DESTINATION share/bcc/tools/doc)
add_subdirectory(old)
