=== debian/control ===
Source: bpfcc
Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
Section: misc
Priority: optional
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), cmake, llvm-dev, libclang-dev, libelf-dev, bison, flex, libfl-dev, libedit-dev, clang-format, python-netaddr, python-pyroute2, luajit, libluajit-5.1-dev, libzip-dev, dpkg-dev (>= 1.16.1~), dh-python, python:any | python-all:any | python-dev:any | python-all-dev:any
Homepage: https://github.com/iovisor/bcc

Package: libbpfcc
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: shared library for BPF Compiler Collection (BCC)
 BPF Compiler Collection (BCC) is a toolkit for creating efficient
 kernel tracing and manipulation programs
 .
 It makes use of extended BPF (Berkeley Package Filter) and provides tools
 for BPF based Linux IO analysis, networking, monitoring and more
 .
 This package provides the shared library for BPF Compiler Collection
 to control BPF programs from userspace.

Package: libbpfcc-dev
Architecture: all
Section: libdevel
Depends: ${misc:Depends}
Description: shared library for BPF Compiler Collection (BCC)
 BPF Compiler Collection (BCC) is a toolkit for creating efficient
 kernel tracing and manipulation programs
 .
 It makes use of extended BPF (Berkeley Package Filter) and provides tools
 for BPF based Linux IO analysis, networking, monitoring and more
 .
 This package provides the development headers for BPF Compiler Collection

Package: python-bpfcc
Architecture: all
Section: python
Depends: libbpfcc (>= ${binary:Version}), ${misc:Depends}, ${python:Depends}
Description: Python wrappers for BPF Compiler Collection (BCC)
 BPF Compiler Collection (BCC) is a toolkit for creating efficient
 kernel tracing and manipulation programs
 .
 It makes use of extended BPF (Berkeley Package Filter) and provides tools
 for BPF based Linux IO analysis, networking, monitoring and more
 .
 This package provides the Python bindings

Package: bpfcc-tools
Architecture: all
Depends: python-bpfcc (>= ${binary:Version}), ${misc:Depends}, ${python:Depends}, python-netaddr
Description: tools for BPF Compiler Collection (BCC)
 BPF Compiler Collection (BCC) is a toolkit for creating efficient
 kernel tracing and manipulation programs
 .
 It makes use of extended BPF (Berkeley Package Filter) and provides tools
 for BPF based Linux IO analysis, networking, monitoring and more
 .
 This package provides the command-line tools and examples

Package: bpfcc-lua
Architecture: linux-any
Depends: libbpfcc (>= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Standalone tool to run BCC tracers written in Lua
 BPF Compiler Collection (BCC) is a toolkit for creating efficient
 kernel tracing and manipulation programs
 .
 It makes use of extended BPF (Berkeley Package Filter) and provides tools
 for BPF based Linux IO analysis, networking, monitoring and more
 .
 This package provides the Lua bindings
