=== debian/changelog ===
bpfcc (0.3.0-4) unstable; urgency=medium

  * Add dependency on library for the development package.
    Thanks to Alexander Kurtz (Closes: #878922)
  * Revert "Add depends on linux headers package, which is a dependency
    for JIT"
  * Update README.Debian with details about dependency on running
    kernel development headers and debug package.
    Thanks to Alexander Kurtz (Closes: #878935)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 23 Oct 2017 22:08:02 +0530

bpfcc (0.3.0-3) unstable; urgency=medium

  * Drop netperf from build dependency. It is a non-free package
  * Don't parse debian/changelog. Instead rely on dpkg for it

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 09 Oct 2017 23:06:59 +0545

bpfcc (0.3.0-2) unstable; urgency=medium

  * Add depends on linux headers package, which is a dependency 
    for JIT compilation. Thanks to Damien R. (Closes: #877925)
  * Add some more build deps
  * Add patches to fix Lua library detection.
    Thanks to Damien R. (Closes: #873322)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 09 Oct 2017 17:06:19 +0545

bpfcc (0.3.0-1) unstable; urgency=medium

  * Restrict Lua dev package to supported architectures
  * New upstream version 0.3.0

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 20 Jun 2017 13:07:37 +0545

bpfcc (0.2.0+git0.02884a026-2) unstable; urgency=medium

  * Restrict architecture support for Lua (Closes: 864724)
  * Run wrap-and-sort

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 14 Jun 2017 10:02:47 +0545

bpfcc (0.2.0+git0.02884a026-1) unstable; urgency=medium

  * [06cde45] Add Vcs URLs
  * [d315114] New upstream version 0.2.0+git0.02884a026
  * [a82a0d3] Add a debian/README.source file
  * [71ecdd8] Refresh patch debian/patches/fix-install-path.patch
  * [b907f40] Don't ship cpp binaries.
    debian/patches/disable-massive-cpp-binaries.patch

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 22 Feb 2017 15:14:39 +0530
