=== debian/control ===
--- 
+++ 
@@ -3,12 +3,35 @@
 Section: misc
 Priority: optional
 Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9), cmake, llvm-dev, libclang-dev, libelf-dev, bison, flex, libfl-dev, libedit-dev, clang-format, python-netaddr, python-pyroute2, luajit, libluajit-5.1-dev, libzip-dev, dpkg-dev (>= 1.16.1~), dh-python, python:any | python-all:any | python-dev:any | python-all-dev:any
+Build-Depends: arping,
+	       bison,
+               clang-format,
+               cmake,
+               debhelper (>= 9),
+               dh-python,
+               dpkg-dev (>= 1.16.1~),
+               ethtool,
+               flex,
+               inetutils-ping | iputils-ping,
+               iperf,
+               libclang-dev,
+               libedit-dev,
+               libelf-dev,
+               libfl-dev,
+               libzip-dev,
+               llvm-dev,
+               libluajit-5.1-dev [amd64 armel armhf i386 mips mipsel powerpc],
+               luajit [amd64 armel armhf i386 mips mipsel powerpc],
+               python-netaddr,
+               python-pyroute2,
+               python:any | python-all:any | python-dev:any | python-all-dev:any
 Homepage: https://github.com/iovisor/bcc
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/bpfcc.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/bpfcc.git
 
 Package: libbpfcc
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: shared library for BPF Compiler Collection (BCC)
  BPF Compiler Collection (BCC) is a toolkit for creating efficient
  kernel tracing and manipulation programs
@@ -22,7 +45,7 @@
 Package: libbpfcc-dev
 Architecture: all
 Section: libdevel
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, libbpfcc (>= ${binary:Version})
 Description: shared library for BPF Compiler Collection (BCC)
  BPF Compiler Collection (BCC) is a toolkit for creating efficient
  kernel tracing and manipulation programs
@@ -47,7 +70,10 @@
 
 Package: bpfcc-tools
 Architecture: all
-Depends: python-bpfcc (>= ${binary:Version}), ${misc:Depends}, ${python:Depends}, python-netaddr
+Depends: python-bpfcc (>= ${binary:Version}),
+         python-netaddr,
+         ${misc:Depends},
+         ${python:Depends}
 Description: tools for BPF Compiler Collection (BCC)
  BPF Compiler Collection (BCC) is a toolkit for creating efficient
  kernel tracing and manipulation programs
@@ -58,8 +84,8 @@
  This package provides the command-line tools and examples
 
 Package: bpfcc-lua
-Architecture: linux-any
-Depends: libbpfcc (>= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Architecture: amd64 armel armhf i386 mips mipsel powerpc
+Depends: libbpfcc (>= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Standalone tool to run BCC tracers written in Lua
  BPF Compiler Collection (BCC) is a toolkit for creating efficient
  kernel tracing and manipulation programs
